
Figure - Bug #117895
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.launcher3（4）
2023-05-12 10:17 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-12

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-05-13

Test Type: Monkey Test Root cause: 编码问题

Description

【错误信息】

CRASH: com.android.launcher3 (pid 2404)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'com.android.launcher3.ShortcutAndWidgetContainer

com.android.launcher3.CellLayout.getShortcutsAndWidgets()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3289:user/test-keys

// Build Changelist: 3289

// Build Time: 1683760617000

// java.lang.NullPointerException: Attempt to invoke virtual method 'com.android.launcher3.ShortcutAndWidgetContainer

com.android.launcher3.CellLayout.getShortcutsAndWidgets()' on a null object reference

//     at com.android.launcher3.Launcher.addFolder(Launcher.java:1985)

//     at com.android.launcher3.Launcher.createUserFolder(Launcher.java:3335)

//     at com.android.launcher3.Launcher.groupApp(Launcher.java:3297)

//     at com.android.launcher3.edit.EditButtonView.onClick(EditButtonView.java:69)

//     at android.view.View.performClick(View.java:7441)

//     at android.view.View.performClickInternal(View.java:7418)

//     at android.view.View.access$3700(View.java:835)

//     at android.view.View$PerformClick.run(View.java:28681)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

History

#1 - 2023-05-12 10:18 - CD TEST-方永红
【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117895

#2 - 2023-05-12 17:34 - CD APP-王营

- Status changed from New to ASSIGNED

【当前状态】

已解决

【我的分析】

空指针异常，需要添加判断

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/199768

#3 - 2023-05-12 17:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199768 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Fix monkey NPETC-RID: 0301-0205301IssueID: TS-R-BUG-117895Change-Id: Idb3bd94c19df2f07e96dcccb4f80f1559ad9a1ab

#4 - 2023-05-12 17:36 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-13

- Root cause set to 编码问题

#5 - 2023-05-16 14:14 - CD TEST-方永红

5.16

15日DB未复现

#6 - 2023-05-17 10:36 - CD TEST-方永红

5.17

0100版本未复现，继续跟踪一个版本

#7 - 2023-05-18 14:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)
5.18

17日DB未复现，先关闭

#8 - 2023-05-18 14:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 12.8 KB 2023-05-12 CD TEST-方永红
